isomorphism {RBGL} | R Documentation

## Compute isomorphism from vertices in one graph to those in another graph

### Description

Compute isomorphism from vertices in one graph to those in another graph

### Usage

    isomorphism(g1, g2)

### Arguments

`g1` | one instance of the `graph` class
`g2` | one instance of the `graph` class

### Details

As stated in documentation on isomorphism in Boost Graph Library: An isomorphism is a 1-to-1 mapping of the vertices in one graph to the vertices of another graph such that adjacency is preserved. Another words, given graphs G1 = (V1,E1) and G2 = (V2,E2) an isomorphism is a function f such that for all pairs of vertices a,b in V1, edge (a,b) is in E1 if and only if edge (f(a),f(b)) is in E2.

### Value

Output is true if there exists an isomorphism between g1 and g2, otherwise it's false.

### Author(s)

Li Long <li.long@isb-sib.ch>

### References

Boost Graph Library by Siek et al.

### See Also

### Examples

    g1 <- fromGXL(file(system.file("XML/dijkex.gxl",package="RBGL"), open="r"))
    g2 <- fromGXL(file(system.file("XML/conn2.gxl",package="RBGL"), open="r"))
    isomorphism(g1, g2)

[Package RBGL version 1.10.0 Index]